#!/usr/bin/python3

from sys import argv, stdin, stderr, exit

assert len(argv)==4, "correct usage: python3 %s input our_output contestants_output" % argv[0]

N = int( open(argv[1],'r').readline() )
correctT = int( open(argv[2],'r').readline() )

try:
    try:
        their_output_lines = open(argv[3],'r').readlines()
    except:
        assert False, "Nepodarilo sa precitat vystup. (Nejde o textovy subor?)"

    assert len(their_output_lines) == 2, "Vystup ma obsahovat dva riadky."

    try:
        theirT = int( their_output_lines[0] ) 
    except:
        assert False, "Prvy riadok vystupu ma obsahovat cislo t: pocet typov."

    assert correctT == theirT, "Nespravne t."

    try:
        theirA = [ int(_) for _ in their_output_lines[1].split() ]
    except:
        assert False, "Druhy riadok vystupu ma obsahovat medzerami oddelene cele cisla."

    assert min(theirA) > 0, "Cisla vo vystupe musia byt kladne."

    assert sum(theirA) == N, "Cisla vo vystupe musia mat sucet n."

    for i in range(correctT - 1):
        assert theirA[i+1] % theirA[i] == 0, "Cisla vo vystupe nezodpovedaju ziadnemu versiku."

    for i in range(correctT - 1):
        assert theirA[i+1] > theirA[i], "Kazde cislo vo versiku musi byt aspon 2."

except Exception as error_message:
    # print(error_message)
    print("0.0")
    print("translate:wrong", file=stderr)
    exit(1)

print("1.0")
print("translate:success", file=stderr)
