#include <bits/stdc++.h>
using namespace std;

vector<long long> delitele(long long n) {
    vector<long long> answer;
    for (long long d=1; d*d<=n; ++d) if (n%d == 0) {
        answer.push_back(d);
        if (d*d < n) answer.push_back(n/d);
    }
    return answer;
}

vector<long long> zostroj_najlepsie(long long n) {
    vector<long long> answer(1,n);
    for (long long d : delitele(n)) if (3 <= d && d < n) {
        vector<long long> option = zostroj_najlepsie(d-1);
        if (option.size() >= answer.size()) {
            option.insert( option.begin(), 1 );
            for (auto &x : option) x *= n/d;
            answer = option;
        }
    }
    return answer;
}

int main() {
    long long n;
    cin >> n;
    vector<long long> answer = zostroj_najlepsie(n);
    cout << answer.size() << endl;
    for (unsigned i=0; i<answer.size(); ++i) cout << answer[i] << (i+1 == answer.size() ? '\n' : ' ');
}
